Skip to main content
ApiConnect

Get integration details

Returns one integration, including its recorded OAuth scopes and token expiry metadata. OAuth tokens are never returned.

GET/v1/connect/integrations/{id}

Authorization

accessKey
x-access-key<token>

In: header

Path Parameters

id*string

Integration ID

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/connect/integrations/string"
{
  "success": true,
  "integration": {
    "id": "string",
    "platform": "twitter",
    "platformUserId": "string",
    "username": "string",
    "displayName": "string",
    "profileUrl": "http://example.com",
    "imageUrl": "http://example.com",
    "platformMetadata": {},
    "profileId": "string",
    "appId": "string",
    "app": {
      "id": "string",
      "name": "string",
      "imageUrl": "string"
    },
    "byok": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "scopes": [
      "string"
    ],
    "accessTokenExpiresAt": "2019-08-24T14:15:22Z",
    "refreshTokenExpiresAt": "2019-08-24T14:15:22Z",
    "tokenStatus": {
      "valid": true,
      "autoRefreshes": true
    },
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "string"
}